Name:           mapcrafter
Version:        2.2.1
Release:        1%{?dist}
Summary:        High performance Minecraft map renderer

License:        "GPLv3"
URL:            https://mapcrafter.org/
# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
#   curl -L https://api.github.com/repos/mapcrafter/mapcrafter/tarball/v.%{version} | tar --transform 's,^mapcrafter-[^/]*/,mapcrafter-%{version}/,r' -xz
#   tar -czf mapcrafter-%{version}.tar.gz mapcrafter-%{version}/ && rm -rf */

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  boost-devel,libjpeg-devel,libpng-devel,gcc-c++,make,cmake
Requires:       boost,curl,libjpeg,libpng,python2

%description
Mapcrafter is a high performance Minecraft map renderer written in C++. It 
renders Minecraft worlds to a bunch of images which are viewable like a 
Google Map in any webbrowser using Leaflet.js.

%prep
%setup -q

%build
%cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/%{name}/*
%{_includedir}/%{name}core/*
/usr/lib/*.so
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%doc README.md VERSION MCVERSION docs/*
%license COPYING

%post
/sbin/ldconfig
printf "Downloading Minecraft $(< %{_defaultdocdir}/%{name}/MCVERSION)..."
curl -o /tmp/minecraft.jar https://s3.amazonaws.com/Minecraft.Download/versions/$(< %{_defaultdocdir}/%{name}/MCVERSION)/$(< %{_defaultdocdir}/%{name}/MCVERSION).jar &> /dev/null
printf "done!\nExtracting textures..."
mapcrafter_textures.py -f /tmp/minecraft.jar %{_datadir}/%{name}/textures &> /dev/null
printf "done!\n"

%preun
printf "Erasing textures..."
rm -rf %{_datadir}/%{name}/textures/*/
printf "done!\n"
